PopupMenuUI (Java SE 15 & JDK 15)
Description: declaration: module: java.desktop, package: javax.swing.plaf, class: PopupMenuUI
Keywords: javax.swing.plaf.PopupMenuUI class

Module java.desktop
Package javax.swing.plaf

# Class PopupMenuUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PopupMenuUI

Direct Known Subclasses:
  `BasicPopupMenuUI`, `MultiPopupMenuUI`

    public abstract class PopupMenuUI
    extends ComponentUI

Pluggable look and feel interface for JPopupMenu.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PopupMenuUI()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Popup` | `getPopup​(JPopupMenu popup, int x, int y)` | Returns the `Popup` that will be responsible for displaying the `JPopupMenu`.
  `boolean` | `isPopupTrigger​(MouseEvent e)` | Returns whether or not the given `MouseEvent` is the popup menu trigger event for the platform

  ### Methods declared in class javax.swing.plaf.ComponentUI

  `contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PopupMenuUI

    public PopupMenuUI()

- ## Method Details

  - ### isPopupTrigger

    public boolean isPopupTrigger​(MouseEvent e)
    Returns whether or not the given `MouseEvent` is the popup menu trigger event for the platform
    Parameters:
      `e` - a `MouseEvent`
    Returns:
      true if the `MouseEvent e` is the popup menu trigger
    Since:
      1.3

  - ### getPopup

    public Popup getPopup​(JPopupMenu popup, int x, int y)
    Returns the `Popup` that will be responsible for displaying the `JPopupMenu`.
    Parameters:
      `popup` - JPopupMenu requesting Popup
      `x` - Screen x location Popup is to be shown at
      `y` - Screen y location Popup is to be shown at.
    Returns:
      Popup that will show the JPopupMenu
    Since:
      1.4